﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace GNG1103_Launcher
{
    /// <summary>
    /// Interaction logic for SelectDir.xaml
    /// </summary>
    public partial class SelectDir : Window
    {
        public string whichDir;
        public string dirDirectory { get; set; } = (string)Application.Current.Properties["ProjectDirectory"] + "\\Directories.txt";
        public SelectDir()
        {
            InitializeComponent();
            this.DataContext = new DirectoryStructureViewModel();
        }

        private void Cancel_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void Select_Click(object sender, RoutedEventArgs e)
        {
            if (whichDir != "viDir")
            {
                if (DirSelector.SelectedItem != null)
                {
                    var path = ((Directory.ViewModels.DirectoryItemViewModel)DirSelector.SelectedItem).FullPath.ToString();
                    var newLine = whichDir + "|" + path;
                    var lines = File.ReadAllLines(dirDirectory);
                    File.Delete(dirDirectory);
                    var stream = File.Create(dirDirectory);
                    stream.Close();
                    foreach (var line in lines)
                    {
                        if (!line.Contains(whichDir))
                            File.AppendAllText(dirDirectory, line + Environment.NewLine);
                        else
                            File.AppendAllText(dirDirectory, newLine + Environment.NewLine);
                    }
                    var dirPage = Application.Current.Windows.OfType<Settings>().FirstOrDefault();
                    dirPage.read();
                    dirPage.resetDirs();
                    this.Close();
                }
            }
            else
            {
                var path = ((Directory.ViewModels.DirectoryItemViewModel)DirSelector.SelectedItem).FullPath.ToString();
                var newLine = whichDir + "|" + path;
                File.AppendAllText(dirDirectory, newLine + Environment.NewLine);
                var dirPage = Application.Current.Windows.OfType<Settings>().FirstOrDefault();
                dirPage.read();
                dirPage.resetDirs();
                this.Close();
            }
        }
    }
}
